package com.howon.lifepass;

import com.google.firebase.Timestamp;

public class Notice {
    private String documentId;
    private String title;
    private String content;
    private String author;
    private Timestamp timestamp;
    private Timestamp updatedAt; // 수정 시간 추가

    public Notice() {} // 기본 생성자 (Firebase 사용 시 필요)

    public Notice(String title, String content, String author, Timestamp timestamp, Timestamp updatedAt) {
        this.title = title;
        this.content = content;
        this.author = author;
        this.timestamp = timestamp;
        this.updatedAt = updatedAt;
    }

    public String getDocumentId() {
        return documentId;
    }

    public void setDocumentId(String documentId) {
        this.documentId = documentId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public Timestamp getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Timestamp timestamp) {
        this.timestamp = timestamp;
    }

    public Timestamp getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Timestamp updatedAt) {
        this.updatedAt = updatedAt;
    }
}
